YepAPI
Amazon API

Seller Profile

Get a third-party Amazon seller's profile — name, business info, ratings, and review breakdown.

POST/v1/amazon/seller
$0.01/call

Usage

const res = await fetch('https://api.yepapi.com/v1/amazon/seller', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ seller_id: 'A02211013Q5HP3OMSZC7W' }),
});
const { data } = await res.json();
console.log(data);
curl -X POST https://api.yepapi.com/v1/amazon/seller \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"seller_id": "A02211013Q5HP3OMSZC7W"}'
import requests

res = requests.post(
    "https://api.yepapi.com/v1/amazon/seller",
    headers={"x-api-key": "YOUR_API_KEY"},
    json={"seller_id": "A02211013Q5HP3OMSZC7W"},
)
print(res.json()["data"])

Request Body

ParameterTypeRequiredDescriptionDefault
seller_idstringYesAmazon seller ID (e.g. A02211013Q5HP3OMSZC7W)
countrystringNoISO alpha-2 country codeUS

Response

{
  "ok": true,
  "data": {
    "status": "OK",
    "request_id": "01a5448d-6d26-4beb-a352-ff8eb99205f9",
    "parameters": { "seller_id": "A02211013Q5HP3OMSZC7W", "country": "US" },
    "data": {
      "seller_id": "A02211013Q5HP3OMSZC7W",
      "country": "US",
      "domain": "www.amazon.com",
      "name": "MemoryWhiz",
      "seller_link": "https://www.amazon.com/sp?seller=A02211013Q5HP3OMSZC7W",
      "store_link": "https://www.amazon.com/s?ie=UTF8&marketplaceID=ATVPDKIKX0DER&me=A02211013Q5HP3OMSZC7W",
      "logo": "https://m.media-amazon.com/images/I/01inXJbpK2L.gif",
      "phone": "909-610-9170",
      "business_name": "Alast Corporation",
      "business_address": "20651 GOLDEN SPRINGS DRIVE Suite 111 Walnut CA 91789 US",
      "rating": 4.9,
      "ratings_total": 52177,
      "ratings_total_percentage": 99,
      "review_summary": {
        "thirty_days": { "positive_percent": 94, "neutral_percent": 4, "negative_percent": 2, "count": 45 },
        "ninety_days": { "positive_percent": 97, "neutral_percent": 1, "negative_percent": 2, "count": 183 },
        "twelve_months": { "positive_percent": 100, "neutral_percent": 0, "negative_percent": 0, "count": 1107 },
        "lifetime": { "positive_percent": 99, "neutral_percent": 0, "negative_percent": 0, "count": 52177 }
      }
    }
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.data.seller_idstringAmazon seller ID
data.data.namestringStorefront display name
data.data.seller_linkstringSeller profile URL
data.data.store_linkstringStorefront search URL
data.data.logostringLogo image URL
data.data.phonestringDisclosed phone number
data.data.business_namestringLegal business name
data.data.business_addressstringRegistered business address
data.data.ratingnumberAverage star rating (0–5)
data.data.ratings_totalnumberLifetime ratings count
data.data.ratings_total_percentagenumberPositive-percent across lifetime
data.data.review_summary.thirty_daysobject{positive_percent, neutral_percent, negative_percent, count}
data.data.review_summary.ninety_daysobjectSame shape, 90-day window
data.data.review_summary.twelve_monthsobjectSame shape, 12-month window
data.data.review_summary.lifetimeobjectSame shape, all-time

On this page